# home

Hi there! This repository contains all of my (publically available) `$HOME` files. This is mainly meant as a utility for my own use, but if you'd like to base your configs on mine for some reason, feel free!

This repository contains submodules, make sure to clone those as well with the following command:

```sh
git clone --recurse-submodules https://www.coastalcommits.com/Seaswimmer/home.git
```

Or, if you've already cloned the repository, initialize the submodules with the following command:

```sh
git submodules update --recursive
```

## Notes

- `.zshc/aliases.sh` contains aliases for `nano`, `vim`, and `vi`, that invoke `${EDITOR}`. If you use multiple of these editors, you may want to change these aliases before reloading your shell.
- `.zshc/aliases.sh` contains an alias for `htop`, that invokes `btop`. If you do not have `btop`, either install it or remove this alias.
- `.zshc/aliases.sh` contains an alias for `clip`, that invokes `xsel -ib` or `wl-copy`. If you do not use X11 or Wayland, you may want to remove or modify this alias.
- `.zshc/aliases.sh` contains an alias for `driver` and `gpu` that invoke `nvidia-smi` and `sudo nvidia-settings` respectively. If you do not have an NVIDIA GPU, you may want to remove or modify these aliases.
- If you are not an Arch Linux user, you will want to change the following things:
  - `.zshc/aliases.sh`: Remove the `aur` alias.
  - `.zshrc`: Replace the `archlinux` plugin with the [oh-my-zsh plugin(s) for your distribution](https://github.com/ohmyzsh/ohmyzsh/wiki/Plugins-Overview#distro-related).

## Notable Applications

This list contains a bunch of applications and tools that I use a lot. Some of these will have configs declared in this repository, while others may not.

- [yay](https://github.com/Jguer/yay): A wrapper for Arch Linux's `pacman` package manager that allows for installing packages directly from the Arch User Repository.
- [uv](https://astral.sh/uv): So, I develop most of my projects with Python. I used to use a lot of tools like Poetry, pipx, and virtualenv. I had also heard of others like PDM and pyenv. uv does what those tools do, but better. It's effortless to use, and is so incredibly fast. Like, it's actually insane just how fast this tool is, compared to Poetry.
- [ruff](https://astral.sh/ruff): Again, as a primarily Python developer, I used to use pylint a lot. Unfortunately I do still have to, but only because ruff doesn't yet have feature comparability to pylint. However, it is blazingly fast, just like its brother uv. A codebase that takes plint about ~55 seconds to lint, takes ruff less than a second. It is kind of insane how fast this linter is, sometimes I don't know if it's working or not in my IDE just because it updates so fast.
- [neovim](https://neovim.io/): A Vim-based text editor that I'm actually using to write this list!
- [Visual Studio Code](https://code.visualstudio.com/): While neovim can be used as a full-fledged development environment, I personally prefer the ease of use of VSCode when I'm working on larger projects.
- [btop](https://github.com/aristocratos/btop): Ever used `htop`? This is that, but better! Also supports GPUs as of a recent update.
- [Vesktop](https://github.com/Vencord/Vesktop): As everyone knows, the official Discord Linux client is... subpar, at best, and has features that just don't work on modern compositors like Wayland, such as screen sharing. Vesktop fixes a lot of those issues, and also comes with the awesome client modification [Vencord](https://github.com/Vencord/Vencord) built-in.
- [Zen Browser](https://zen-browser.app): Zen is a Firefox-based browser that takes design cues from Microsoft Edge. It's fast and looks amazing.
- [Sober](https://sober.vinegarhq.org/): Ever since Byfron's Hyperion was added to the ROBLOX client, playing ROBLOX on Linux has been impossible without using an Android emulator. Well, Sober aims to fix this. It does still use the official ROBLOX Android apk, but it is a full port to Linux, as opposed to an emulator. I can personally confirm the performance claims they advertise on their website, it does massively increase performance over the Windows version of ROBLOX.
- [Lucem](https://github.com/xTrayambak/lucem): Lucem aims to bridge the gap between Vinegar, the previous way to run ROBLOX on Linux, and Sober. It does this by offering various improvements like the ability to override the default ROBLOX font, and has a graphical interface to edit various settings and fflags. It is quite reminiscent of [Bloxstrap](https://github.com/bloxstraplabs/bloxstrap), which is the definitive ROBLOX bootstrapper for Windows.

